gnutls_x509_crt_get_dn_oid(3)

NAME
gnutls_x509_crt_get_dn_oid - This function returns the Certificate's subject distinguished name OIDs

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_dn_oid(gnutls_x509_crt_t cert, int indx, void * oid, size_t * sizeof_oid);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

int indx
    This specifies which OID to return. Use zero to get the first one.

void * oid
    a pointer to a buffer to hold the OID (may be null)

size_t * sizeof_oid
    initially holds the size of oid

DESCRIPTION
This function will extract the OIDs of the name of the Certificate subject specified by the given index. If oid is null then only the size will be filled.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the *sizeof_oid will be updated with the required size. On success 0 is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.